EUCA-DESCRIBE-INTERNET-GATEWAYS(1)

NAME
euca-describe-internet-gateways - Describe one or more VPC Internet gateways

SYNOPSIS
euca-describe-internet-gateways [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID]
    [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [IGATEWAY [IGATEWAY ...]]

DESCRIPTION
Describe one or more VPC Internet gateways

  positional arguments:

IGATEWAY
    limit results to one or more Internet gateways

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

attachment.state
    if the Internet gateway is attached to a VPC, its attachment state (available)

attachment.vpc-id
    ID of the VPC the Internet gateway is attached to internet-gateway-id tag-key key of a tag assigned to the Internet gateway tag-value value of a tag assigned to the Internet gateway

tag:KEY
    specific tag key/value combination